## CamelMimeFilterEnriched

CamelMimeFilterEnriched

## Functions

#define | CAMEL_MIME_FILTER_ENRICHED_IS_RICHTEXT
CamelMimeFilter * | camel_mime_filter_enriched_new ()
gchar * | camel_enriched_to_html ()

## Types and Values

struct | CamelMimeFilterEnriched

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterEnriched

## Description

## Functions

### CAMEL_MIME_FILTER_ENRICHED_IS_RICHTEXT

    #define CAMEL_MIME_FILTER_ENRICHED_IS_RICHTEXT  (1 << 0)

### camel_mime_filter_enriched_new ()

    CamelMimeFilter *
    camel_mime_filter_enriched_new (guint32 flags);

Create a new CamelMimeFilterEnriched object to convert input text streams from text/plain into text/enriched or text/richtext.

#### Parameters

flags | bitwise set of flags to specify filter behaviour |

#### Returns

a new CamelMimeFilterEnriched object

### camel_enriched_to_html ()

    gchar *
    camel_enriched_to_html (const gchar *in,
                            guint32 flags);

Convert `in` from text/plain into text/enriched or text/richtext based on `flags` .

#### Parameters

in | input textual string |
flags | flags specifying filter behaviour |

#### Returns

a newly allocated string containing the enriched or richtext version of `in` .

## Types and Values

### struct CamelMimeFilterEnriched

    struct CamelMimeFilterEnriched;